REGISTER-PYTHON-ARGCOMPLETE(1)

NAME
register-python-argcomplete - register-python-argcomplete - argcomplete utility script

DESCRIPTION
usage: register-python-argcomplete [-h] [--no-defaults]

[--complete-arguments ...]
    [-s {bash,zsh,tcsh,fish,powershell}] [-e EXTERNAL_ARGCOMPLETE_SCRIPT] executable [executable ...]

Register a Python executable for use with the argcomplete module.

To perform the registration, source the output of this script in your bash shell (quote the output to avoid interpolation).

Example:

    $ eval "$(register-python-argcomplete my-favorite-script.py)"

For Tcsh

    $ eval `register-python-argcomplete --shell tcsh my-favorite-script.py`

For Fish

    $ register-python-argcomplete --shell fish my-favourite-script.py > ~/.config/fish/my-favourite-script.py.fish

  positional arguments:

executable
    executable to completed (when invoked by exactly this name)

  options:

-h, --help
    show this help message and exit

--no-defaults
    when no matches are generated, do not fallback to readline's default completion (affects bash only)

--complete-arguments ...
    arguments to call complete with; use of this option discards default options (affects bash only)

-s {bash,zsh,tcsh,fish,powershell}, --shell {bash,zsh,tcsh,fish,powershell}
    output code for the specified shell

-e EXTERNAL_ARGCOMPLETE_SCRIPT, --external-argcomplete-script EXTERNAL_ARGCOMPLETE_SCRIPT
    external argcomplete script for auto completion of the executable

AUTHORS
argcomplete module was written by Andrey Kislyuk

SEE ALSO
Full documentation for argccomplete module is stored at https://argcomplete.readthedocs.org/en/latest/